tinsert(CT_RABoss_ModsToLoad, "CT_RABossSarf_CaptainTuubid_OnLoad");

function CT_RABossSarf_CaptainTuubid_OnLoad()
	CT_RABoss_AddMod(CT_RABOSSSARF_CPTUUBID_NAME, "Warn when someone is called out by Tuubid.", 1, CT_RABOSS_LOCATIONS_RUINS_AHNQUIRAJ);
	CT_RABoss_AddDropDownButton(CT_RABOSSSARF_CPTUUBID_NAME, { CT_RABOSSSARF_CPTUUBID_ANNOUNCE, CT_RABOSSSARF_CPTUUBID_ANNOUNCE_INFO }, "CT_RABoss_ModInfo", "announce", "CT_RABoss_SetInfo");
	CT_RABoss_AddDropDownButton(CT_RABOSSSARF_CPTUUBID_NAME, { CT_RABOSSSARF_CPTUUBID_ANNOUNCE_RAID, CT_RABOSSSARF_CPTUUBID_ANNOUNCE_RAID_INFO }, "CT_RABoss_ModInfo", "announceRaid", "CT_RABoss_SetInfo");
	CT_RABoss_SetVar(CT_RABOSSSARF_CPTUUBID_NAME, "announce", true);
	CT_RABoss_AddEvent(CT_RABOSSSARF_CPTUUBID_NAME, "CHAT_MSG_MONSTER_YELL", CT_RABossSarf_CaptainTuubid_EventHandler_Yell);
end


function CT_RABossSarf_CaptainTuubid_EventHandler_Yell(event)
	if ( not CT_RABoss_Mods[CT_RABOSSSARF_CPTUUBID_NAME] or not CT_RABoss_Mods[CT_RABOSSSARF_CPTUUBID_NAME]["status"] or not CT_RABoss_Mods[CT_RABOSSSARF_CPTUUBID_NAME].enabled ) then
		return;
	end
	local name, s = nil;
	for s in string.gfind(arg1, CT_RABOSSSARF_CPTUUBID_FORMAT) do
		name = s;
	end
	if ( not name ) then
		return;
	end
	if ( CT_RABoss_Mods[CT_RABOSSSARF_CPTUUBID_NAME].announceRaid ) or ( CT_RABoss_Mods[CT_RABOSSSARF_CPTUUBID_NAME].announce ) and ( name == UnitName("player") ) then
		CT_RABoss_Announce(format(CT_RABOSSSARF_CPTUUBID_MSG_ANNOUNCE, CT_RABoss_Mods[CT_RABOSSSARF_CPTUUBID_NAME].announceRaid));
		CT_RABoss_PlaySound(3);
	end
end
